Bug 211621 - biology/pycogent: Update to 1.9
Summary: biology/pycogent: Update to 1.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL: https://pycogent.wordpress.com/2016/0...
Keywords: easy, needs-patch, patch
Depends on:
Blocks:
 
Reported: 2016-08-06 09:53 UTC by Kurt Jaeger
Modified: 2016-08-08 11:41 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (wen)


Attachments
patch (1.58 KB, patch)
2016-08-06 09:53 UTC, Kurt Jaeger
no flags Details | Diff
patch-v2 (2.86 KB, patch)
2016-08-06 09:56 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2016-08-06 09:53:41 UTC
Created attachment 173352 [details]
patch

- moved to github
- depend on newer sqlalchemy10

testbuilds are fine, portlint is fine.
Comment 1 Kurt Jaeger freebsd_committer 2016-08-06 09:56:16 UTC
Created attachment 173353 [details]
patch-v2

updated pkg-descr with new WWW
Comment 2 Kurt Jaeger freebsd_committer 2016-08-06 09:57:18 UTC
Changes: https://pycogent.wordpress.com/2016/06/14/pycogent-1-9-released/

which is not very specific.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-06 10:45:36 UTC
This is one of those annoying times where the product name (pycogent) and the python package name (cogent) differ. 

I was going to suggest a rename, until I realised the package name was the only thing difference (compared to their domain, titles and messaging).

While in most cases I suggest that upstreams don't prefix their python package names with 'py' in PyPI, in this case it would be 'really' nice if we could ask upstream to rename theirs to pycongent, so the package name matches the product name.

@Kurt, since PyCogent doesn't yet support Python 3, USES=python should be USES=python:-2.7 to be explicit and accurate

At some point (if not now) when a Python 2 and 3 compatible version is released, this port will need a PYTHON_PKGNAMEPREFIX to support concurrent installs, so if you want to do that now feel free.
Comment 4 commit-hook freebsd_committer 2016-08-08 11:21:42 UTC
A commit references this bug:

Author: wen
Date: Mon Aug  8 11:21:04 UTC 2016
New revision: 419818
URL: https://svnweb.freebsd.org/changeset/ports/419818

Log:
  - Update to 1.9 [1]
  - Moved to github [1]
  - Depend on newer sqlalchemy10 [1]
  - Update pkg-descr and WWW [1]
  - Limit python to -2.7 [2]
  - Reset maintainer to python@ for better maintain

  PR:		211621
  Submitted by:	pi@ [1], koobs@ [2]

Changes:
  head/biology/pycogent/Makefile
  head/biology/pycogent/distinfo